Flows

Build Status codecov Gem Version

Right now library is under heavy development. Version 0.4.0 will be the first stable API candidate. And version 1.0.0 is coming after.

Small and fast ruby framework for implementing railway-like operations. By design it is close to Trailblazer::Operation and Dry::Transaction, but has simpler and flexible DSL for defining operations and matching results. Also flows is faster.

flows has no production dependencies so it can be used with any framework.

Installation

Add this line to your application’s Gemfile:

“by gem ‘flows’

And then execute:

“ bundle

Or install it yourself as:

“ gem install flows

Rest of documentation will be here when v0.4.0 be ready. Stay tuned.

Readme TODO: list of tasks to accomplish before

  • [] lefthook usage
  • [] bundle exec rake to check all the things + describe linter setup
  • [] describe why so many linters
  • [] bin/* scripts usage
  • [] about ./bin/docserver command and YARD usage
  • [] about mandatory @since usage in docs